/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Jan-01-2012 10:09:12pm
Filepath: scripts\events and scenarios\Christmas\mobiles\DarkAssassinElfFencer.cs
Lines of code: 96

Description: 

***********************************************************/


using System;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a Dark Elf corpse" )]
	public class DarkAssassinElfFencer : BaseCreature
	{
		

		[Constructable]
		public DarkAssassinElfFencer() : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			SpeechHue = Utility.RandomDyedHue();
			Hue = Utility.RandomSkinHue();
			Name = "a Dark Assassin Elf Fencer";
			Race=Race.Elf;
			Body = (( this.Female = Utility.RandomBool() ) ? Body = 0x191 : Body = 0x190);
			
			Hue = Utility.RandomSkinHue();

			SetStr( 326, 375 );
			SetDex( 313, 453 );
			SetInt( 101, 110 );

	        SetHits( 301, 400 );
			SetMana( 101, 110 );

			SetDamage( 5, 8 );

			SetDamageType( ResistanceType.Cold, 50 );
			SetDamageType( ResistanceType.Poison, 50 );

			SetResistance( ResistanceType.Physical, 25, 45 );
			SetResistance( ResistanceType.Fire, 20, 40 );
			SetResistance( ResistanceType.Cold, 25, 45 );
			SetResistance( ResistanceType.Poison, 20, 40 );
			SetResistance( ResistanceType.Energy, 65, 75 );

			SetSkill( SkillName.Swords, 115.1, 130.0 );
			SetSkill( SkillName.Tactics, 115.1, 130.0 );
			SetSkill( SkillName.Anatomy, 110.1, 125.0 );
			SetSkill( SkillName.Ninjitsu, 120.1, 140.0 );
			SetSkill( SkillName.Stealth, 100.1, 120.0 );
			SetSkill( SkillName.Hiding, 100.1, 120.0 );
			SetSkill( SkillName.Meditation,120);
			SetSkill( SkillName.Focus,120);			
			
			Fame = 9500;
			Karma = -9500;

			BoneHelm hat = new BoneHelm();
			hat.Hue=2406;
			AddItem(hat);
			
			WoodlandGorget gorget = new WoodlandGorget();
			gorget.Hue=2401;
			AddItem(gorget);
			
			ClothNinjaJacket tunic = new ClothNinjaJacket();
			tunic.Hue=2406;
			AddItem(tunic);
			
			LeatherNinjaPants pants = new LeatherNinjaPants();
			pants.Hue=2406;
			AddItem(pants);
			
			WoodlandGloves gloves = new WoodlandGloves();
			gloves.Hue=2401;
			AddItem(gloves);
			
			ElvenBoots shoes = new ElvenBoots();
			shoes.Hue=2401;
			AddItem(shoes);
			
			AssassinSpike wep = new AssassinSpike();
			wep.Hue=2401;
			wep.Movable=false;
			AddItem(wep);			

			HairItemID=0;
			
			Hidden=true;			
		}
		
		public override void OnDeath( Container c )
 		{
			base.OnDeath( c );
	 		c.DropItem( new CoalOre(2,5) );
			if(0.05>Utility.RandomDouble())c.DropItem(new SurpriseStocking());
			
			c.DropItem(new WrappedChristmasGift());
 		}

		

		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich,2 );
			AddLoot( LootPack.Rich );
		}

		public override bool BardImmune{ get{ return true; } }
		public override bool CanRummageCorpses{ get{ return true; } }
		public override bool AlwaysMurderer{ get{ return true; } }		
		public override bool ClickTitle{ get{ return false; } }
	public override bool ShowFameTitle{ get{ return false; } }
		
		public DarkAssassinElfFencer( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
